
@article{deb_algebraic_2006,
	title = {Algebraic gossip: {A} network coding approach to optimal multiple rumor mongering},
	volume = {14},
	number = {SI},
	journal = {IEEE/ACM Transactions on Networking (TON)},
	author = {Deb, Supratim and Médard, Muriel and Choute, Clifford},
	year = {2006},
	pages = {2486--2507}
}

@inproceedings{haeupler_analyzing_2011,
	title = {Analyzing network coding gossip made easy},
	booktitle = {Proceedings of the forty-third annual {ACM} symposium on {Theory} of computing},
	publisher = {ACM},
	author = {Haeupler, Bernhard},
	year = {2011},
	pages = {293--302}
}

@inproceedings{chou_practical_2003,
	title = {Practical {Network} {Coding}},
	url = {https://www.microsoft.com/en-us/research/publication/practical-network-coding-2/},
	abstract = {We propose a distributed scheme for practical network coding that obviates the need for centralized knowledge of the graph topology, the encoding functions, and the decoding functions, and furthermore obviates the need for information to be communicated synchronously through the network. The result is a practical system for networking coding that is robust to random packet loss and delay as well as robust to any changes in the network topology or capacity due to joins, leaves, node or link failures, congestion, and so on. We simulate such a practical network coding system using the network topologies of several commercial Internet Service Providers, and demonstrate that it can achieve close to the theoretically optimal performance.},
	booktitle = {Allerton {Conference} on {Communication}, {Control}, and {Computing}},
	author = {Chou, Philip A. and Wu, Yunnan and Jain, Kamal},
	month = oct,
	year = {2003}
}

@article{fragouli_network_2006,
	title = {Network {Coding}: {An} {Instant} {Primer}},
	volume = {36},
	issn = {0146-4833},
	url = {http://doi.acm.org/10.1145/1111322.1111337},
	doi = {10.1145/1111322.1111337},
	number = {1},
	journal = {SIGCOMM Comput. Commun. Rev.},
	author = {Fragouli, Christina and Le Boudec, Jean-Yves and Widmer, Jörg},
	month = jan,
	year = {2006},
	keywords = {network coding},
	pages = {63--68}
}

@article{felber_pulp:_2012,
	title = {Pulp: {An} adaptive gossip-based dissemination protocol for multi-source message streams},
	volume = {5},
	number = {1},
	journal = {Peer-to-Peer Networking and Applications},
	author = {Felber, Pascal and Kermarrec, Anne-Marie and Leonini, Lorenzo and Riviere, Etienne and Voulgaris, Spyros},
	year = {2012},
	pages = {74--91}
}

@article{euster_epidemics_2004,
	title = {From epidemics to distributed computing},
	volume = {37},
	number = {5},
	journal = {IEEE Computer},
	author = {Euster, Patrick and Guerraoui, Rachid and Kermarrec, Anne-Marie and Maussoulie, Laurent},
	year = {2004},
	pages = {60--67}
}

@article{koldehofe_simple_2004,
	title = {Simple gossiping with balls and bins.},
	volume = {3},
	number = {1},
	journal = {Stud. Inform. Univ.},
	author = {Koldehofe, Boris},
	year = {2004},
	pages = {43--60}
}

@article{androulaki_hyperledger_2018,
	title = {Hyperledger {Fabric}: {A} {Distributed} {Operating} {System} for {Permissioned} {Blockchains}},
	volume = {abs/1801.10228},
	url = {http://arxiv.org/abs/1801.10228},
	journal = {CoRR},
	author = {Androulaki, Elli and Barger, Artem and Bortnikov, Vita and Cachin, Christian and Christidis, Konstantinos and Caro, Angelo De and Enyeart, David and Ferris, Christopher and Laventman, Gennady and Manevich, Yacov and Muralidharan, Srinivasan and Murthy, Chet and Nguyen, Binh and Sethi, Manish and Singh, Gari and Smith, Keith and Sorniotti, Alessandro and Stathakopoulou, Chrysoula and Vukolic, Marko and Cocco, Sharon Weed and Yellick, Jason},
	year = {2018}
}

@article{lakshman_cassandra:_2010,
	title = {Cassandra: {A} {Decentralized} {Structured} {Storage} {System}},
	volume = {44},
	issn = {0163-5980},
	url = {http://doi.acm.org/10.1145/1773912.1773922},
	doi = {10.1145/1773912.1773922},
	number = {2},
	journal = {SIGOPS Oper. Syst. Rev.},
	author = {Lakshman, Avinash and Malik, Prashant},
	month = apr,
	year = {2010},
	pages = {35--40}
}

@inproceedings{nedelec_crate:_2016,
	address = {Republic and Canton of Geneva, Switzerland},
	series = {{WWW} '16 {Companion}},
	title = {{CRATE}: {Writing} {Stories} {Together} with {Our} {Browsers}},
	isbn = {978-1-4503-4144-8},
	url = {https://doi.org/10.1145/2872518.2890539},
	doi = {10.1145/2872518.2890539},
	booktitle = {Proceedings of the 25th {International} {Conference} {Companion} on {World} {Wide} {Web}},
	publisher = {International World Wide Web Conferences Steering Committee},
	author = {Nédelec, Brice and Molli, Pascal and Mostefaoui, Achour},
	year = {2016},
	keywords = {collaborative editor, decentralized, real-time},
	pages = {231--234}
}

@article{hassan_network_nodate,
	title = {Network coding on the {GPU}},
	author = {Hassan, Charaf and Fitzek, Frank HP}
}